
-- DROP TABLE tl_coupon;




CREATE TABLE tl_coupon (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    coupon_code varchar2(100) NOT NULL,
    percentage_off number(12) NULL,
    duration_in_months number(12) NULL
    );



ALTER TABLE tl_coupon ADD    
    CONSTRAINT PK_tl_coupon PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    